#pragma once

#include <Text.h>
#include "GSLSoundV.h"

namespace GSL
{
	class GSLDateiV : public virtual ReferenceCounter
	{
	public:
		virtual ~GSLDateiV()
		{}
		virtual void setDatei(Framework::Text* txt) = 0;
		virtual void setDatei(const char* txt) = 0;
		virtual bool leseDaten() = 0;
		virtual int getSoundAnzahl() = 0;
		virtual Framework::Text* getSoundName(int num) = 0;
		// Laden
		virtual GSLSoundV* getSound(Framework::Text* name) = 0;
		virtual GSLSoundV* getSound(const char* name) = 0;
		// Speichern
		virtual bool speicherSound(GSLSoundV* zSound, Framework::Text* name) = 0;
		virtual bool speicherSound(GSLSoundV* zSound, const char* name) = 0;
		// Lschen
		virtual bool removeSound(Framework::Text* name) = 0;
		virtual bool removeSound(const char* name) = 0;
	};
}