const char *_neu_karte_ksgs_shop_seite =
"\n"
"var int besitzStatus;\n"
"var int erwerbbarStatus;\n"
"var Bild goldBild;\n"
"var Bild silberBild;\n"
"var Bild kupferBild;\n"
"\n"
"class TextErscheinen\n"
"{\n"
"private:\n"
"    var TextFeld beschreibung;\n"
"    var Text txt;\n"
"    var int num;\n"
"    var int ln;\n"
"    var double z;\n"
"public:\n"
"    func void init( int besitzStatus )\n"
"    {\n"
"        initTextFeld( beschreibung, 5, 5, 545, 180, \"\", 0x101 );\n"
"        txt = \"Kartenbeschreibung hier insert\n\";\n"
"        txt += \"Maximale Spieleranzahl: 0\n\";\n"
"        txt += \"Teamanzahl: 0\n\";\n"
"        txt += \"Maximale Spieler pro Team: 0\n\";\n"
"        txt += \"Spieltyp: Team gegen Team\n\";\n"
"        if( besitzStatus == 1 )\n"
"        {\n"
"            txt += \"Du besitzt die Testversion dieser Karte.\n\";\n"
"            txt += \"Anzahl verbleibender Spiele: \";\n"
"            txt += Rckruf( \"GetTestVersionVerbleibend\" );\n"
"        }\n"
"        if( besitzStatus == 2 )\n"
"        {\n"
"            txt += \"Du besitzt die Vollversion dieser Karte.\";\n"
"        }\n"
"        ln = txt.getLength();\n"
"        num = 0;\n"
"        z = 0;\n"
"    }\n"
"    func bool next( double zeit )\n"
"    {\n"
"        z += zeit;\n"
"        if( ( z > 0.03 ) && ( num < ln ) )\n"
"        {\n"
"            var Text t;\n"
"            t = beschreibung.getText();\n"
"            while( z > 0.03 )\n"
"            {\n"
"                z -= 0.03;\n"
"                t.append( txt.getTeilText( num, num + 1 ) );\n"
"                num += 1;\n"
"                if( num < ln )\n"
"                {\n"
"                    break;\n"
"                }\n"
"            }\n"
"            beschreibung.setText( t );\n"
"            return true;\n"
"        }\n"
"        return false;\n"
"    }\n"
"    func void render( Bild b )\n"
"    {\n"
"        beschreibung.render( b );\n"
"    }\n"
"};\n"
"\n"
"class TestVersion\n"
"{\n"
"private:\n"
"    var double y;\n"
"    var int x;\n"
"    var double yS;\n"
"    var int alpha;\n"
"    var TextFeld tve;\n"
"    var TextFeld tvkosten;\n"
"    var TextFeld tvGoldTF;\n"
"    var TextFeld tvSilberTF;\n"
"    var TextFeld tvKupferTF;\n"
"    var BildO tvGoldBildO;\n"
"    var BildO tvSilberBildO;\n"
"    var BildO tvKupferBildO;\n"
"    var Knopf tvKaufen;\n"
"    var TextFeld tvNGK;\n"
"public:\n"
"    func void init()\n"
"    {\n"
"        yS = 150;\n"
"        x = 0;\n"
"        y = 0;\n"
"        alpha = 0;\n"
"        initTextFeld( tve, 5, 0, 300, 20, \"\", 0x101 );\n"
"        initTextFeld( tvkosten, 5, 25, 50, 20, \"\", 0x701 );\n"
"        initTextFeld( tvGoldTF, 60, 25, 0, 0, \"\", 0x701 );\n"
"        initTextFeld( tvSilberTF, 90, 25, 0, 0, \"\", 0x701 );\n"
"        initTextFeld( tvKupferTF, 120, 25, 0, 0, \"\", 0x701 );\n"
"        initTextFeld( tvNGK, 5, 75, 200, 20, \"\", 0x101 );\n"
"        if( ( ( besitzStatus == 0 ) || ( besitzStatus == 1 ) ) && ( erwerbbarStatus != 0 ) && ( erwerbbarStatus != 2 ) )\n"
"        {\n"
"            tve.setText( \"10 Spiele Testversion\" );\n"
"            tvkosten.setText( \"Kosten: \" );\n"
"            var int preis;\n"
"            preis = Rckruf( \"GetPreis\", 0 );\n"
"            var Text preisT = preis / 10000;\n"
"            tvGoldTF.setText( preisT );\n"
"            preisT = ( preis / 100 ) % 100;\n"
"            tvSilberTF.setText( preisT );\n"
"            preisT = preis % 100;\n"
"            tvKupferTF.setText( preisT );\n"
"            tvGoldTF.setGreNachText();\n"
"            tvSilberTF.setGreNachText();\n"
"            tvKupferTF.setGreNachText();\n"
"            tvGoldTF.setGre( tvGoldTF.getBreite(), 20 );\n"
"            tvSilberTF.setGre( tvSilberTF.getBreite(), 20 );\n"
"            tvKupferTF.setGre( tvKupferTF.getBreite(), 20 );\n"
"            tvSilberTF.setPosition( tvSilberTF.getX() + tvGoldTF.getBreite(), tvSilberTF.getY() );\n"
"            tvKupferTF.setPosition( tvKupferTF.getX() + tvGoldTF.getBreite() + tvSilberTF.getBreite(), tvSilberTF.getY() );\n"
"            initBildO( tvGoldBildO, 60 + tvGoldTF.getBreite(), 25, goldBild );\n"
"            initBildO( tvSilberBildO, 90 + tvGoldTF.getBreite() + tvSilberTF.getBreite(), 25, silberBild );\n"
"            initBildO( tvKupferBildO, 120 + tvGoldTF.getBreite() + tvSilberTF.getBreite() + tvKupferTF.getBreite(), 25, kupferBild );\n"
"            initKnopf( tvKaufen, 5, 50, 100, 20, \"Erwerben\" );\n"
"            tvKaufen.setMausEreignis( \"tvKME\" );\n"
"            if( preis > Rckruf( \"GetKupfer\" ) )\n"
"            {\n"
"                tvKaufen.removeStyle( 0x2 );\n"
"                tvNGK.setText( \"Du hast nicht genug Geld.\" );\n"
"            }\n"
"        }\n"
"    }\n"
"    func bool tick( double z )\n"
"    {\n"
"        if( ( alpha == 255 ) && ( y >= 280 ) )\n"
"        {\n"
"            return tvKaufen.tick( z );\n"
"        }\n"
"        alpha += ( z * 100 );\n"
"        if( alpha > 255 )\n"
"        {\n"
"            alpha = 255;\n"
"        }\n"
"        y += ( yS * z );\n"
"        yS -= ( z * 40 );\n"
"        if( yS < 0 )\n"
"        {\n"
"            yS = 0;\n"
"        }\n"
"        if( y > 280 )\n"
"        {\n"
"            y = 280;\n"
"        }\n"
"        return true;\n"
"    }\n"
"    func void maus( MausEreignis me )\n"
"    {\n"
"        me.setMy( me.my - y );\n"
"        tvKaufen.doMausEreignis( me );\n"
"        me.setMy( me.my + y );\n"
"    }\n"
"    func void render( Bild b )\n"
"    {\n"
"        if( ( erwerbbarStatus != 0 ) && ( erwerbbarStatus != 2 ) )\n"
"        {\n"
"            b.setAlpha( alpha );\n"
"            if( b.setDrawOptions( 0, y, 300, 200 ) )\n"
"            {\n"
"                tve.render( b );\n"
"                tvkosten.render( b );\n"
"                tvGoldTF.render( b );\n"
"                tvSilberTF.render( b );\n"
"                tvKupferTF.render( b );\n"
"                tvGoldBildO.render( b );\n"
"                tvSilberBildO.render( b );\n"
"                tvKupferBildO.render( b );\n"
"                tvKaufen.render( b );\n"
"                tvNGK.render( b );\n"
"                b.releaseDrawOptions();\n"
"            }\n"
"            b.releaseAlpha();\n"
"        }\n"
"    }\n"
"};\n"
"\n"
"class VollVersion\n"
"{\n"
"private:\n"
"    var double y;\n"
"    var int x;\n"
"    var double yS;\n"
"    var int alpha;\n"
"    var TextFeld vve;\n"
"    var TextFeld vvkosten;\n"
"    var TextFeld vvGoldTF;\n"
"    var TextFeld vvSilberTF;\n"
"    var TextFeld vvKupferTF;\n"
"    var BildO vvGoldBildO;\n"
"    var BildO vvSilberBildO;\n"
"    var BildO vvKupferBildO;\n"
"    var Knopf vvKaufen;\n"
"    var TextFeld vvNGK;\n"
"public:\n"
"    func void init()\n"
"    {\n"
"        yS = 150;\n"
"        x = 0;\n"
"        y = 0;\n"
"        alpha = 0;\n"
"        initTextFeld( vve, 0, 0, 100, 20, \"\", 0x101 );\n"
"        initTextFeld( vvkosten, 410, 25, 50, 20, \"\", 0x701 );\n"
"        initTextFeld( vvGoldTF, 470, 25, 0, 0, \"\", 0x701 );\n"
"        initTextFeld( vvSilberTF, 500, 25, 0, 0, \"\", 0x701 );\n"
"        initTextFeld( vvKupferTF, 530, 25, 0, 0, \"\", 0x701 );\n"
"        initTextFeld( vvNGK, 390, 75, 160, 20, \"\", 0x101 );\n"
"        if( ( besitzStatus == 0 ) && ( erwerbbarStatus != 0 ) && ( erwerbbarStatus != 1 ) )\n"
"        {\n"
"            vve.setText( \"Vollversion\" );\n"
"            vve.setGreNachText();\n"
"            vve.setPosition( 550 - vve.getBreite(), vve.getY() );\n"
"            vvkosten.setText( \"Kosten: \" );\n"
"            var int preis;\n"
"            preis = Rckruf( \"GetPreis\", 1 );\n"
"            var Text preisT = preis / 10000;\n"
"            vvGoldTF.setText( preisT );\n"
"            preisT = ( preis / 100 ) % 100;\n"
"            vvSilberTF.setText( preisT );\n"
"            preisT = preis % 100;\n"
"            vvKupferTF.setText( preisT );\n"
"            vvGoldTF.setGreNachText();\n"
"            vvSilberTF.setGreNachText();\n"
"            vvKupferTF.setGreNachText();\n"
"            vvGoldTF.setGre( vvGoldTF.getBreite(), 20 );\n"
"            vvSilberTF.setGre( vvSilberTF.getBreite(), 20 );\n"
"            vvKupferTF.setGre( vvKupferTF.getBreite(), 20 );\n"
"            vvKupferTF.setPosition( vvKupferTF.getX() - vvKupferTF.getBreite(), vvKupferTF.getY() );\n"
"            vvSilberTF.setPosition( ( vvSilberTF.getX() - vvKupferTF.getBreite() ) - vvSilberTF.getBreite(), vvSilberTF.getY() );\n"
"            vvGoldTF.setPosition( ( ( vvGoldTF.getX() - vvKupferTF.getBreite() ) - vvSilberTF.getBreite() ) - vvGoldTF.getBreite(), vvGoldTF.getY() );\n"
"            vvkosten.setPosition( vvGoldTF.getX() - 55, vvkosten.getY() );\n"
"            initBildO( vvGoldBildO, vvGoldTF.getX() + vvGoldTF.getBreite(), 25, goldBild );\n"
"            initBildO( vvSilberBildO, vvSilberTF.getX() + vvSilberTF.getBreite(), 25, silberBild );\n"
"            initBildO( vvKupferBildO, vvKupferTF.getX() + vvKupferTF.getBreite(), 25, kupferBild );\n"
"            initKnopf( vvKaufen, 450, 50, 100, 20, \"Erwerben\" );\n"
"            vvKaufen.setMausEreignis( \"vvKME\" );\n"
"            if( preis > Rckruf( \"GetKupfer\" ) )\n"
"            {\n"
"                vvKaufen.removeStyle( 0x2 );\n"
"                vvNGK.setText( \"Du hast nicht genug Geld.\" );\n"
"            }\n"
"        }\n"
"    }\n"
"    func bool tick( double z )\n"
"    {\n"
"        if( ( alpha == 255 ) && ( y >= 280 ) )\n"
"        {\n"
"            return vvKaufen.tick( z );\n"
"        }\n"
"        alpha += ( z * 100 );\n"
"        if( alpha > 255 )\n"
"        {\n"
"            alpha = 255;\n"
"        }\n"
"        y += ( yS * z );\n"
"        yS -= ( z * 40 );\n"
"        if( yS < 0 )\n"
"        {\n"
"            yS = 0;\n"
"        }\n"
"        if( y > 280 )\n"
"        {\n"
"            y = 280;\n"
"        }\n"
"        return true;\n"
"    }\n"
"    func void maus( MausEreignis me )\n"
"    {\n"
"        me.setMy( me.my - y );\n"
"        vvKaufen.doMausEreignis( me );\n"
"        me.setMy( me.my - y );\n"
"    }\n"
"    func void render( Bild b )\n"
"    {\n"
"        if( ( erwerbbarStatus != 0 ) && ( erwerbbarStatus != 1 ) )\n"
"        {\n"
"            b.setAlpha( alpha );\n"
"            if( b.setDrawOptions( 0, y, 700, 200 ) )\n"
"            {\n"
"                vve.render( b );\n"
"                vvkosten.render( b );\n"
"                vvGoldTF.render( b );\n"
"                vvSilberTF.render( b );\n"
"                vvKupferTF.render( b );\n"
"                vvGoldBildO.render( b );\n"
"                vvSilberBildO.render( b );\n"
"                vvKupferBildO.render( b );\n"
"                vvKaufen.render( b );\n"
"                vvNGK.render( b );\n"
"                b.releaseDrawOptions();\n"
"            }\n"
"            b.releaseAlpha();\n"
"        }\n"
"    }\n"
"};\n"
"\n"
"var TextErscheinen beschreibung;\n"
"var TestVersion tv;\n"
"var VollVersion vv;\n"
"\n"
"func void start()\n"
"{\n"
"    besitzStatus = Rckruf( \"GetBesitzStatus\" );\n"
"    erwerbbarStatus = Rckruf( \"GetErwerbbarStatus\" );\n"
"    goldBild = Rckruf( \"GetBild\", \"data/bilder/system.ltdb\", \"system.ltdb/gold.jpg\" );\n"
"    silberBild = Rckruf( \"GetBild\", \"data/bilder/system.ltdb\", \"system.ltdb/silber.jpg\" );\n"
"    kupferBild = Rckruf( \"GetBild\", \"data/bilder/system.ltdb\", \"system.ltdb/kupfer.jpg\" );\n"
"    beschreibung.init( besitzStatus );\n"
"    tv.init();\n"
"    vv.init();\n"
"}\n"
"\n"
"func void initTextFeld( TextFeld tf, int x, int y, int br, int h, Text t, int style )\n"
"{\n"
"    tf.setPosition( x, y );\n"
"    tf.setGre( br, h );\n"
"    tf.setStyle( style );\n"
"    tf.setSchriftFarbe( 0xFFFFFFFF );\n"
"    tf.setText( t );\n"
"}\n"
"\n"
"func void initBildO( BildO bo, int x, int y, Bild b )\n"
"{\n"
"    bo.setPosition( x, y );\n"
"    bo.setGre( b.getBreite(), b.getHeight() );\n"
"    bo.setStyle( 0x1 );\n"
"    bo.setBild( b );\n"
"}\n"
"\n"
"func void initKnopf( Knopf k, int x, int y, int br, int h, Text t )\n"
"{\n"
"    k.setPosition( x, y );\n"
"    k.setGre( br, h );\n"
"    k.setText( t );\n"
"    k.addStyle( 0x1 );\n"
"}\n"
"\n"
"func bool maus( MausEreignis me )\n"
"{\n"
"    tv.maus( me );\n"
"    vv.maus( me );\n"
"    return me.verarbeitet;\n"
"}\n"
"\n"
"func bool tick( double z )\n"
"{\n"
"    var bool ret;\n"
"    ret = beschreibung.next( z );\n"
"    ret |= tv.tick( z );\n"
"    ret |= vv.tick( z );\n"
"    return ret;\n"
"}\n"
"\n"
"func void render( Bild rObj )\n"
"{\n"
"    beschreibung.render( rObj );\n"
"    tv.render( rObj );\n"
"    vv.render( rObj );\n"
"}\n"
"\n"
"func bool tvKME( MausEreignis me )\n"
"{\n"
"    if( me.id == 3 )\n"
"    {\n"
"        Rckruf( \"Kaufen\", 0 );\n"
"    }\n"
"    return true;\n"
"}\n"
"\n"
"func bool vvKME( MausEreignis me )\n"
"{\n"
"    if( me.id == 3 )\n"
"    {\n"
"        Rckruf( \"Kaufen\", 1 );\n"
"    }\n"
"    return true;\n"
"}";